VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
IControlViewExtension Struct Referenceabstract

`#include <iexternalview.h>`

Inheritance diagram for IControlViewExtension:

## Classes
struct | EditCallbacks

## Public Types
using | ValueBeginEditCallback = std::function<void ()>
using | ValueEndEditCallback = std::function<void ()>
using | ValuePerformEditCallback = std::function<void (double newValue)>

## Public Member Functions
virtual bool | setValue (double value)=0
virtual bool | setEditCallbacks (const EditCallbacks &callbacks)=0

## Member Typedef Documentation

## ◆ ValueBeginEditCallback

using ValueBeginEditCallback = std::function<void ()>

## ◆ ValueEndEditCallback

using ValueEndEditCallback = std::function<void ()>

## ◆ ValuePerformEditCallback

using ValuePerformEditCallback = std::function<void (double newValue)>

## Member Function Documentation

## ◆ setEditCallbacks()

virtual bool setEditCallbacks | ( | const EditCallbacks & | callbacks | ) |
| pure virtual

Implemented in ControlViewAdapter.

## ◆ setValue()

virtual bool setValue | ( | double | value | ) |
| pure virtual

Implemented in ControlViewAdapter.

The documentation for this struct was generated from the following file:

- iexternalview.h